<?php

/**
 * @file
 * Hooks provided by the dblog_api module.
 */

/**
 * Allow users to override the operations for a log message.
 *
 * @param array &$operations
 *   An array of HTML strings to display in the operations column for the row.
 * @param object $dblog
 *   An object representing a watchdog log entry. See dblog_schema().
 */
function hook_dblog_overview_operations_alter(array &$operations, $dblog) {
  // The default behaviour of Drupal core's DBLog module: add the link stored in
  // the log entry, if one exists.
  $operations['watchdog_link'] = filter_xss($dblog->link);
}
